## org.apache.hadoop.mapred
Class SafeModeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.mapred.SafeModeException

All Implemented Interfaces:
  Serializable

    public class SafeModeException

extends IOException

This exception is thrown when the JobTracker is in safe mode.

See Also:
  Serialized Form

Constructor Summary
`SafeModeException(String adminUser)` SafeModeException

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SafeModeException

    public SafeModeException(String adminUser)

  SafeModeException

  Parameters:
    `adminUser` - admin who put JobTracker in safe-mode, `null` if it was automatic

Copyright © 2009 The Apache Software Foundation